Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class LobCreatorBuilder

    java.lang.Object
      org.hibernate.engine.jdbc.internal.LobCreatorBuilder

    public class LobCreatorBuilder

extends Object

Builds `LobCreator` instances based on the capabilities of the environment.

Constructor Summary
`LobCreatorBuilder(Map configValues, Connection jdbcConnection)` The public factory method for obtaining the appropriate (according to given JDBC `Connection`.

Method Summary
`LobCreator` | `buildLobCreator(LobCreationContext lobCreationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LobCreatorBuilder

    public LobCreatorBuilder(Map configValues,
                             Connection jdbcConnection)

  The public factory method for obtaining the appropriate (according to given JDBC `Connection`.

  Parameters:
    `jdbcConnection` - A JDBC `Connection` which can be used to gauge the drivers level of support, specifically for creating LOB references.

Method Detail

### buildLobCreator

    public LobCreator buildLobCreator(LobCreationContext lobCreationContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.